Package org.apache.sling.commons.log.logback.internal.config

# Class GlobalConfigurator

java.lang.Object
org.apache.sling.commons.log.logback.internal.config.LogConfigurator
org.apache.sling.commons.log.logback.internal.config.GlobalConfigurator

All Implemented Interfaces:
  `org.osgi.service.cm.ManagedService`

public class GlobalConfigurator extends LogConfigurator implements org.osgi.service.cm.ManagedService
Global logging configuration service

## Constructor Summary

Constructors
Constructor
Description
`GlobalConfigurator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`updated(@NotNull Dictionary<String,?> properties)`
Update the global configuration with the supplied configuration

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobalConfigurator

public GlobalConfigurator()

## Method Details

### updated

public void updated(@NotNull @NotNull Dictionary<String,?> properties) throws org.osgi.service.cm.ConfigurationException
Update the global configuration with the supplied configuration

Specified by:
  `updated` in interface `org.osgi.service.cm.ManagedService`
Parameters:
  `properties` - the configuration properties
Throws:
  `org.osgi.service.cm.ConfigurationException`